> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payroll Deductions

> Generates a payroll deduction report for all of the group’s active plans.



## OpenAPI

````yaml get /employers/{public_id}/reports/payroll_deductions
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /employers/{public_id}/reports/payroll_deductions:
    get:
      tags:
        - employers
      description: >-
        Generates a payroll deduction report for all of the group’s active
        plans.
      operationId: employers_reports_payroll_deductions_report_get
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            text/csv:
              schema:
                type: string
          description: ''
      security:
        - tokenAuth: []
components:
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````